Ruby: pm_module_node Struct Reference

Ruby 3.3.5p100 (2024-09-03 revision ef084cc8f4958c1b6e4ead99136631bef6d8ddba)

Data Fields
pm_module_node Struct Reference

ModuleNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_constant_id_list_t | locals
| ModuleNode#locals.
pm_location_t | module_keyword_loc
| ModuleNode#module_keyword_loc.
struct pm_node * | constant_path
| ModuleNode#constant_path.
struct pm_node * | body
| ModuleNode#body.
pm_location_t | end_keyword_loc
| ModuleNode#end_keyword_loc.
pm_constant_id_t | name
| ModuleNode#name.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

ModuleNode.

Type: PM_MODULE_NODE

Definition at line 3465 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_module_node::base

The embedded base node.

Definition at line 3467 of file ast.h.

## ◆ body

struct pm_node* pm_module_node::body

ModuleNode#body.

Definition at line 3479 of file ast.h.

Referenced by pm_node_destroy().

## ◆ constant_path

struct pm_node* pm_module_node::constant_path

ModuleNode#constant_path.

Definition at line 3476 of file ast.h.

Referenced by pm_node_destroy().

## ◆ end_keyword_loc

pm_location_t pm_module_node::end_keyword_loc

ModuleNode#end_keyword_loc.

Definition at line 3482 of file ast.h.

## ◆ locals

pm_constant_id_list_t pm_module_node::locals

ModuleNode#locals.

Definition at line 3470 of file ast.h.

Referenced by pm_node_destroy().

## ◆ module_keyword_loc

pm_location_t pm_module_node::module_keyword_loc

ModuleNode#module_keyword_loc.

Definition at line 3473 of file ast.h.

## ◆ name

pm_constant_id_t pm_module_node::name

ModuleNode#name.

Definition at line 3485 of file ast.h.

The documentation for this struct was generated from the following file:

- prism/ast.h